; **************************************************************
; Increase the field size in the FITS header
; This is superfluent as automatically done by writefits
; **************************************************************
function doubleheader, hdr

newhdr=hdr

help=hdr[3]
xsize=strmid(help,27,3)
nxsize=2*xsize
nxsize=string(nxsize,format='(i3)')
strput, help, nxsize, 27
newhdr[3]=help

help=hdr[4]
xsize=strmid(help,27,3)
nxsize=2*xsize
nxsize=string(nxsize,format='(i3)')
strput, help, nxsize, 27
newhdr[4]=help

return, newhdr
end

;***************************************************************
function mirror, feld
;***************************************************************
 
s=size(feld)
nx=s[1]
ny=s[2]

pfeld=dblarr(2*nx,2*ny)

for ix=0, nx-1 do begin
 ix1=nx-1-ix
  for iy=0, ny-1 do begin
    iy1=ny-1-iy   
    pfeld[ix,iy+ny]=feld[ix,iy]
    pfeld[ix,iy]=feld[ix,iy1]
    pfeld[ix+nx,iy+ny]=feld[ix1,iy]
    pfeld[ix+nx,iy]=feld[ix1,iy1]
  endfor
endfor

return, pfeld
end
