; *************************************************************
function visiblecolor, num
; *************************************************************
; Get a well distinguishable color on a scale from 0 to 1

ncols=!d.table_size
coldat=( fix(ncols*num) > 1) < (ncols-1)

; Special for postscript and 8 bit plots
if (ncols-1 eq !p.color) or (!p.color eq 0) then begin
    color=coldat
endif else begin
   ; Depending on bypasstranslation different steps are needed
   ; How to determine what is set?
   ; The following works for bypasstranslation=0
   v1=coldat
   v2=coldat
   v3=coldat
   ; The following works for bypasstranslation=1
   ; tvlct, v1,v2,v3, coldat, /GET
   color=v1[0]+v2[0]*256UL+v3[0]*65536UL
endelse
return, color
end
